# Rosarium

Rosary App in compose with good UX

<a href="https://f-droid.org/packages/at.krixec.rosary/">
    <img src="https://f-droid.org/badge/get-it-on.png" height="100px" alt="the fdroid badge">
</a>


## Why

Ever wanted to pray the rosary in latin? It can be pretty tricky with all the mysteries and special days but don't worry, I'm here to help.
You can choose between 5 languages for now - english, german, slovenian, french and latin, with slight variations between them.


## What

Rosarium is a mobile rosary to guide you through every prayer you need.

I put the focus on the UX as I feel it gets left behind in most rosary-apps I've used so far.
The transitions between decades is animated, you can hot-switch between 3 languages and progressing through the beads by tapping is visualized aswell.

The holy mysteries are date-aware and should show the correct one depending on day-of-week and season. If it doesn't that's a bug, please let me know.

Here's a small table
| Sunday   | Monday | Tuesday   | Wednesday | Thursday | Friday    | Saturday | Sundays in Lent | Sundays in Advent |
|----------|--------|-----------|-----------|----------|-----------|----------|-----------------|-------------------|
| Glorious | Joyful | Sorrowful | Glorious  | Luminous | Sorrowful | Joyful   | Sorrowful       | Joyful            |

There are quite a few interpretations which prayers should be in the rosary so I decided to include more rather than less.
If you prefer not to pray the Fatima prayer (you should pray it) or the Hail Holy Queen you can just give it one extra tap, I might make a toggle to just skip them in the future.

Here's how it looks

<img src="metadata/en-US/images/phoneScreenshots/1.png" height="600px" alt="screenshot" >
<img src="metadata/en-US/images/phoneScreenshots/2.png" height="600px" alt="screenshot" >
<img src="metadata/en-US/images/phoneScreenshots/3.png" height="600px" alt="screenshot" >
<img src="metadata/en-US/images/phoneScreenshots/4.png" height="600px" alt="screenshot" >
<img src="metadata/en-US/images/phoneScreenshots/5.png" height="600px" alt="screenshot" >
<img src="metadata/en-US/images/phoneScreenshots/6.png" height="600px" alt="screenshot" >
<img src="metadata/en-US/images/phoneScreenshots/7.png" height="600px" alt="screenshot" >


## How to build

A grade file is included, since you'll likely want to edit it with Android Studio anyways, I'd just build it with that ¯\\\_(ツ)\_/¯
